## GogStyledObject

GogStyledObject

## Synopsis

                        GogStyle;
                        GogStyledObject;
                        GogStyledObjectClass;
    GogStyle *          gog_style_new                       (void);

## Object Hierarchy

      GObject
       +----GOStyle
             +----GogStyle

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogAxisBase
                   +----GogOutlinedObject
                   +----GogColorScale
                   +----GogGrid
                   +----GogGridLine
                   +----GogTrendLine
                   +----GogSeriesElement
                   +----GogSeries
                   +----GogSeriesLines

## Implemented Interfaces

GogStyle implements GOPersist.

GogStyledObject implements GOStyledObject.

## Properties

      "style"                    GogStyle*             : Read / Write

## Signals

      "style-changed"                                  : Run Last

## Description

## Details

### GogStyle

    typedef struct _GogStyle GogStyle;

### GogStyledObject

    typedef struct _GogStyledObject GogStyledObject;

### GogStyledObjectClass

    typedef struct {
    	GogObjectClass base;

    	/* virtual */
    	void	  (*init_style)     	(GogStyledObject *obj, GOStyle *style);

    	/* signal */
    	void (*style_changed) (GogStyledObject *obj, GOStyle const *new_style);
    } GogStyledObjectClass;

GogObjectClass `base`; |
`init_style` () | intiializes the style.
`style_changed` () |

### gog_style_new ()

    GogStyle *          gog_style_new                       (void);

Returns : | the new GogStyle. [transfer full]

## Property Details

### The `"style"` property

      "style"                    GogStyle*             : Read / Write

A pointer to the GOStyle object.

## Signal Details

### The `"style-changed"` signal

    void                user_function                      (GogStyledObject *object,
                                                            GObject         *style,
                                                            gpointer         user_data)      : Run Last

The ::style-changed signal is emitted after the style has been changed by a call to `go_styled_object_set_style()`.

`object` : | the object on which the signal is emitted
`style` : | The new GOStyle
`user_data` : | user data set when the signal handler was connected.